#pragma once
#include <stdint.h>
#include "irq.h"
#include "io.h"
#include <stdint.h>
#include "stdio.h"
#include "e9.h"

extern volatile uint64_t g_Ticks;
extern uint64_t g_Unixseconds;

void x86_64_PIT_Initialize(uint32_t frequency);
uint64_t PIT_GetTicks(void);
void PIT_IRQ_Handler(Registers* regs);